Bug 695756 - [RFE][RHEL6] Rebase Firefox to a stable Firefox
[RFE][RHEL6] Rebase Firefox to a stable Firefox
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.1
All Linux
urgent Severity high
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
: FutureFeature, Rebase, Triaged, ZStream
: 652630 746788 (view as bug list)
Depends On: 712958 712963 728289 744069 744070 744072 773056 783854 783855 785412
Blocks: 607248 652630 695757 716850 756082 756736 786872
  Show dependency treegraph
 
Reported: 2011-04-12 11:26 EDT by J.H.M. Dassen (Ray)
Modified: 2013-07-03 00:13 EDT (History)
20 users (show)

See Also:
Fixed In Version: RHEA-2012:0327
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
: 695757 (view as bug list)
Environment:
Last Closed: 2012-05-04 06:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J.H.M. Dassen (Ray) 2011-04-12 11:26:07 EDT
2. What is the nature and description of the request?

Customer has requested that Red Hat rebase Firefox to Firefox-4 in RHEL 6.  

3. Why does the customer need this? (List the business requirements here)

Firefox 4 is based on the Gecko 2.0 Web platform. This release features
JavaScript execution speeds up to six times faster than the previous version,
new capabilities for Web Developers and Add-on Developers such as hardware
accelerated graphics and HTML5 technologies, and a completely revised user
interface.

4. How would the customer like to achieve this? (List the functional
requirements here)

Rebase Firefox to Firefox-4 in RHEL 6. 

5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.

Provide test packages to the customer, internal testing.  

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

Firefox 4 exists upstream.  
http://www.mozilla.com/en-US/firefox/new/

7. How quickly does this need resolved? (desired target release)

RHEL 6.2 is the desired release.  

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes.

9. List the affected packages

Firefox
Comment 6 Martin Stransky 2011-07-01 10:04:53 EDT
There are test packages here: http://people.redhat.com/stransky/rhel-6/
Comment 11 Florian Nadge 2011-07-19 05:23:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Firefox has been upgraded to version 5.0, which provides a number enhancements over the previous version.
Comment 13 brett 2011-07-31 00:37:53 EDT
xulrunner seems to build fine but firefox needs a BuildRequires of yasm and yous hould add that to your test rpms collection there...
Comment 14 brett 2011-07-31 00:50:14 EDT
ftp://mirror.cs.princeton.edu/pub/mirrors/fedora-epel/beta/6/SRPMS/yasm-0.7.2-3.el6.src.rpm

seems to work for yasm. ff5 then builds and seems to run, however the webm test
here: http://www.wellesley.edu/~kenny/html5/vp8.html fails and works in chrome on my same machine.

If webm doesn't work, consider just configuring with webm off.
Comment 15 brett 2011-07-31 01:00:32 EDT
http://devfiles.myopera.com/articles/1891/sunflower-webm.html
got it to spin once, usually shows x

http://devfiles.myopera.com/articles/1891/custom-controls-webm-720p.html
http://devfiles.myopera.com/articles/1891/custom-controls-webm-360p.html
controls appear, but no video

http://people.opera.com/patrickl/experiments/webm/fancy-swap/
works though


Youtube in HTML5 appears to fail.
"Your browser does not currently recognize any of the video formats available."
Comment 16 brett 2011-07-31 16:28:17 EDT
Package:    	firefox-5.0-1.el6
Latest Crash:	Sun 31 Jul 2011 01:20:18 PM 
Command:    	/usr/lib64/firefox-5/firefox -new-tab ''
Reason:     	Process /usr/lib64/firefox-5/firefox was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:	


During normal browsing. Also some videos (not sure what player, but something akin to flowplayer) show up with big square sections going transparent and showing background white and flashing.
Comment 17 Martin Stransky 2011-08-01 07:47:45 EDT
yasm is not a part of RHEL6 and we can't depend on a package from EPEL. So webm is disabled on RHEL6 for now.
Comment 18 brett 2011-08-01 09:38:17 EDT
Then the bug is needing --disable-webm in configure. Compiling the specfile as is complained.
Comment 20 Martin Stransky 2011-09-20 02:43:10 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Firefox has been upgraded to version 5.0, which provides a number enhancements over the previous version.+Firefox has been upgraded to version 7.0, which provides a number enhancements over the previous version.
Comment 22 Elio Maldonado Batiz 2011-09-27 12:22:00 EDT
*** Bug 652630 has been marked as a duplicate of this bug. ***
Comment 24 Elio Maldonado Batiz 2011-10-06 17:39:34 EDT
Firefox 8 requires nss 3.13 and nspr 4.9.
Comment 28 Siddharth Nagar 2011-10-19 12:00:08 EDT
Deleted Technical Notes Contents.

Old Contents:
Firefox has been upgraded to version 7.0, which provides a number enhancements over the previous version.
Comment 31 Robert Scheck 2011-12-07 07:38:39 EST
Why is there still no Firefox 8 in RHEL 6.2? Your marketing blah-foo e.g. at 
http://www.redhat.com/rhel/compare/ says, that you are going to update Firefox
during the RHEL lifetime. Even RHEL 4 ships Firefox 3.6, but RHEL 6.2 does not
ship a current Firefox somehow?! Or is this only marketing-crap nowadays? :-(
Comment 32 Andrius Benokraitis 2011-12-09 10:48:35 EST
Robert, for your information:

https://access.redhat.com/kb/docs/DOC-62747

Note the section that states:

"Red Hat will continue with its policy of releasing and supporting new versions of Firefox when new versions become available and *reach suitable stability* for inclusion in Red Hat Enterprise Linux."

Feel free to open a Red Hat Support case against your paid production RHEL subscriptions with your comments/requests.

Thank you!

Andrius.
Comment 41 Siddharth Nagar 2012-01-05 15:49:33 EST
*** Bug 746788 has been marked as a duplicate of this bug. ***
Comment 42 James Hogarth 2012-01-06 08:37:57 EST
Just to note that looks like Firefox 10 has been agreed by mozilla to be a long term support (of 1 year) so might be worthwhile rebasing to that for RHEL5/6...

In addition looks like Firefox 3.6 will be end of lifed and lose upstream security fixes as of around April 24th...

Info is here:
https://wiki.mozilla.org/Enterprise/Firefox/ExtendedSupport:Proposal
Comment 50 Martin Stransky 2012-05-04 06:20:21 EDT
Already fixed in RHEA-2012:0327.

Note You need to log in before you can comment on or make changes to this bug.